<?php
/**
 * @var string $redirect_url
 */
?>
<div class="wp-block-edd-register">
	<?php edd_print_errors(); ?>
	<form id="edd-blocks-form__register" class="edd-blocks-form edd-blocks-form__register" action="" method="post">
		<div class="edd-blocks-form__group edd-blocks-form__group-username">
			<label for="edd_user_register">
				<?php
				esc_html_e( 'Username or Email', 'easy-digital-downloads' );
				echo EDD()->html->show_required();
				?>
			</label>
			<div class="edd-blocks-form__control">
				<input name="edd_user_login" id="edd_user_register" class="edd-required edd-input" type="text" required/>
			</div>
		</div>
		<div class="edd-blocks-form__group edd-blocks-form__group-email">
			<label for="edd-user-email">
				<?php
				esc_html_e( 'Email', 'easy-digital-downloads' );
				echo EDD()->html->show_required();
				?>
			</label>
			<div class="edd-blocks-form__control">
				<input name="edd_user_email" id="edd-user-email" class="edd-password edd-required edd-input" type="email" required/>
			</div>
		</div>
		<div class="edd-blocks-form__group edd-blocks-form__group-password">
			<label for="edd-user-pass">
				<?php
				esc_html_e( 'Password', 'easy-digital-downloads' );
				echo EDD()->html->show_required();
				?>
			</label>
			<div class="edd-blocks-form__control">
				<input id="edd-user-pass" class="password required edd-input" type="password" name="edd_user_pass" required />
			</div>
		</div>
		<div class="edd-blocks-form__group edd-blocks-form__group-password-confirm">
			<label for="edd-user-pass2">
				<?php
				esc_html_e( 'Confirm Password', 'easy-digital-downloads' );
				echo EDD()->html->show_required();
				?>
			</label>
			<div class="edd-blocks-form__control">
				<input id="edd-user-pass2" class="password required edd-input" type="password" name="edd_user_pass2" required />
			</div>
		</div>
		<div class="edd-blocks-form__group edd-blocks-form__group-submit">
			<?php EDD\Blocks\Recaptcha\initialize(); ?>
			<input type="hidden" name="edd_honeypot" value="" />
			<input type="hidden" name="edd_action" value="user_register" />
			<input type="hidden" name="edd_submit" value="edd_register_submit" />
			<input type="hidden" name="edd_redirect" value="<?php echo esc_url( $redirect_url ); ?>"/>
			<input class="<?php echo esc_attr( implode( ' ', EDD\Blocks\Functions\get_button_classes() ) ); ?>" name="edd_register_submit" id="edd_register_submit" type="submit" value="<?php esc_html_e( 'Register', 'easy-digital-downloads' ); ?>" />
		</div>
	</form>
</div>
